Apache ActiveMQ 5.7.0 jetzt mit Java 7 kompatibel

Judith Lungstraß

Apache hat ActiveMQ 5.7.0 veröffentlicht. Hauptziel des neuen Releases war die Kompatibilität mit Java 7. Das Projekt wurde zwar mit dem JDK 6 gebaut, aber auch ausgiebig mit dessen Nachfolgerversion getestet.

Neben 200 Bug Fixes sind in Apache ActiveMQ 5.7.0 einige neue Features enthalten, beispielsweise der Secure WebSocket (wss) Transport. Er ermöglicht die direkte und sichere Verbindung mit dem Broker vom Browser aus. Dank der Broker Redelivery kann man die Redilevery Policy so definieren, dass der Broker eine Nachricht direkt an den Kunden sendet, sollte die Verarbeitung fehlschlagen. Neu in Version 5.7.0 ist außerdem der Lease Database Locker.

Apache ActiveMQ 5.7.0 kann auf der Produkthomepage heruntergeladen werden.

Geschrieben von
Judith Lungstraß
Kommentare

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht.